
package ReDIF::JELcodes;

# $Id: JELcodes.pm,v 1.10 2004/08/24 12:34:42 ivan Exp $
$VERSION = do { my @r=(q$Revision: 1.10 $=~/\d+/g); sprintf "%d."."%02d"x$#r,@r }; 


##########################################
#
# List of JEL codes used to make clasification.
# http://www.econlit.org/elclasjn.htm
#
#  Hand-updated on 2004-02-01 23:52
##########################################

%JEL = (

 'A0' => "General Economics and Teaching: General",
 'A1' => "General Economics",
 'A2' => "Teaching of Economics",
 'B0' => "Schools of Economic Thought and Methodology: General",
 'B1' => "History of Economic Thought through 1925",
 'B2' => "History of Economic Thought since 1925",
 'B3' => "History of Thought: Individuals",
 'B4' => "Economic Methodology",
 'B5' => "Current Heterodox Approaches",
 'C0' => "Mathematical and Quantitative Methods: General",
 'C1' => "Econometric and Statistical Methods: General",
 'C2' => "Econometric Methods: Single Equation Models",
 'C3' => "Econometric Methods: Multiple/Simultaneous Equation Models",
 'C4' => "Econometric and Statistical Methods: Special Topics",
 'C5' => "Econometric Modeling",
 'C6' => "Mathematical Methods and Programming",
 'C7' => "Game Theory and Bargaining Theory",
 'C8' => "Data Collection and Data Estimation Methodology; Computer Programs",
 'C9' => "Design of Experiments",
 'D0' => "Microeconomics: General",
 'D1' => "Household Behavior",
 'D2' => "Production and Organizations",
 'D3' => "Distribution",
 'D4' => "Market Structure and Pricing",
 'D5' => "General Equilibrium and Disequilibrium",
 'D6' => "Welfare Economics",
 'D7' => "Analysis of Collective Decision-Making",
 'D8' => "Information and Uncertainty",
 'D9' => "Intertemporal Choice and Growth",
 'E0' => "Macroeconomics and Monetary Economics: General",
 'E1' => "General Aggregative Models",
 'E2' => "Consumption, Saving, Production, Employment, and Investment",
 'E3' => "Prices, Business Fluctuations, and Cycles",
 'E4' => "Money and Interest Rates",
 'E5' => "Monetary Policy, Central Banking, and the Supply of Money and Credit",
 'E6' => "Macroeconomic Aspects of Public Finance, Macroeconomic Policy, and General Outlook",
 'F0' => "International Economics: General",
 'F1' => "Trade",
 'F2' => "International Factor Movements and International Business",
 'F3' => "International Finance",
 'F4' => "Macroeconomic Aspects of International Trade and Finance",
 'G0' => "Financial Economics: General",
 'G1' => "General Financial Markets",
 'G2' => "Financial Institutions and Services",
 'G3' => "Corporate Finance and Governance",
 'H0' => "Public Economics: General",
 'H1' => "Structure and Scope of Government",
 'H2' => "Taxation, Subsidies, and Revenue",
 'H3' => "Fiscal Policies and Behavior of Economic Agents",
 'H4' => "Publicly Provided Goods",
 'H5' => "National Government Expenditures and Related Policies",
 'H6' => "National Budget, Deficit, and Debt",
 'H7' => "State and Local Government; Intergovernmental Relations",
 'H8' => "Miscellaneous Issues",
 'I0' => "Health, Education, and Welfare: General",
 'I1' => "Health",
 'I2' => "Education",
 'I3' => "Welfare and Poverty",
 'J0' => "Labor and Demographic Economics: General",
 'J1' => "Demographic Economics",
 'J2' => "Time Allocation; Work Behavior; Employment Determination and Creation",
 'J3' => "Wages, Compensation, and Labor Costs",
 'J4' => "Particular Labor Markets",
 'J5' => "Labor-Management Relations, Trade Unions, and Collective Bargaining",
 'J6' => "Mobility, Unemployment, and Vacancies",
 'J7' => "Discrimination",
 'J8' => "Labor Standards: National and International",
 'K0' => "Law and Economics: General",
 'K1' => "Basic Areas of Law",
 'K2' => "Regulation and Business Law",
 'K3' => "Other Substantive Areas of Law",
 'K4' => "Legal Procedure, the Legal System, and Illegal Behavior",
 'L0' => "Industrial Organization: General",
 'L1' => "Market Structure, Firm Strategy, and Market Performance",
 'L2' => "Firm Objectives, Organization, and Behavior",
 'L3' => "Nonprofit Organizations and Public Enterprise",
 'L4' => "Antitrust Policy",
 'L5' => "Regulation and Industrial Policy",
 'L6' => "Industry Studies: Manufacturing",
 'L7' => "Industry Studies: Primary Products and Construction",
 'L8' => "Industry Studies: Services",
 'L9' => "Industry Studies: Utilities and Transportation",
 'M0' => "Business Administration and Business Economics; Marketing; Accounting: General",
 'M1' => "Business Administration",
 'M2' => "Business Economics",
 'M3' => "Marketing and Advertising",
 'M4' => "Accounting",
 'M5' => "Personnel Economics",
 'N0' => "Economic History: General",
 'N1' => "Macroeconomics and Monetary Economics; Growth and Fluctuations",
 'N2' => "Financial Markets and Institutions",
 'N3' => "Labor and Consumers, Demography, Education, Income and Wealth",
 'N4' => "Government, War, Law, and Regulation",
 'N5' => "Agriculture, Natural Resources, Environment, and Extractive Industries",
 'N6' => "Manufacturing and Construction",
 'N7' => "Transport, International and Domestic Trade, Energy, and Other Services",
 'N8' => "Micro-Business History",
 'N9' => "Regional and Urban History",
 'O0' => "Economic Development, Technological Change, and Growth: General",
 'O1' => "Economic Development",
 'O2' => "Development Planning and Policy",
 'O3' => "Technological Change",
 'O4' => "Economic Growth and Aggregate Productivity",
 'O5' => "Economywide Country Studies",
 'P0' => "Economic Systems: General",
 'P1' => "Capitalist Systems",
 'P2' => "Socialist Systems and Transitional Economies",
 'P3' => "Socialist Institutions and Their Transitions",
 'P4' => "Other Economic Systems",
 'P5' => "Comparative Economic Systems",
 'Q0' => "Agricultural and Natural Resource Economics: General",
 'Q1' => "Agriculture",
 'Q2' => "Renewable Resources and Conservation; Environmental Management",
 'Q3' => "Nonrenewable Resources and Conservation",
 'Q4' => "Energy",
 'Q5' => "Environmental Economics",
 'R0' => "Urban, Rural, and Regional Economics: General",
 'R1' => "General Regional Economics",
 'R2' => "Household Analysis",
 'R3' => "Production Analysis and Firm Location",
 'R4' => "Transportation Systems",
 'R5' => "Regional Government Analysis",
 'Z0' => "Other Special Topics: General",
 'Z1' => "Cultural Economics",
 'A' => "General Economics and Teaching",
 'A00' => "General",
 'A10' => "General",
 'A11' => "Role of Economics; Role of Economists",
 'A12' => "Relation of Economics to Other Disciplines",
 'A13' => "Relation of Economics to Social Values",
 'A14' => "Sociology of Economics",
 'A19' => "Other",
 'A20' => "General",
 'A21' => "Precollege",
 'A22' => "Undergraduate",
 'A23' => "Graduate",
 'A29' => "Other",
 'B' => "Schools of Economic Thought and Methodology",
 'B00' => "General",
 'B10' => "General",
 'B11' => "Preclassical",
 'B12' => "Classical",
 'B13' => "Neoclassical through 1925",
 'B14' => "Socialist; Marxist",
 'B15' => "Historical; Institutional",
 'B19' => "Other",
 'B20' => "General",
 'B21' => "Microeconomics",
 'B22' => "Macroeconomics",
 'B23' => "Econometrics; Quantitative Studies",
 'B24' => "Socialist; Marxist",
 'B25' => "Historical; Institutional; Evolutionary",
 'B29' => "Other",
 'B30' => "General",
 'B31' => "Individuals",
 'B40' => "General",
 'B41' => "Economic Methodology",
 'B49' => "Other",
 'B50' => "General",
 'B51' => "Socialist; Marxian; Sraffian",
 'B52' => "Institutional; Evolutionary",
 'B53' => "Austrian",
 'B59' => "Other",
 'C' => "Mathematical and Quantitative Methods",
 'C00' => "General",
 'C10' => "General",
 'C11' => "Bayesian Analysis",
 'C12' => "Hypothesis Testing",
 'C13' => "Estimation",
 'C14' => "Semiparametric and Nonparametric Methods",
 'C15' => "Statistical Simulation Methods; Monte Carlo Methods",
 'C16' => "Econometric and Statistical Methods: Specific Distributions",
 'C19' => "Other",
 'C20' => "General",
 'C21' => "Cross-Sectional Models; Spatial Models",
 'C22' => "Time-Series Models",
 'C23' => "Models with Panel Data",
 'C24' => "Truncated and Censored Models",
 'C25' => "Discrete Regression and Qualitative Choice Models",
 'C29' => "Other",
 'C30' => "General",
 'C31' => "Cross-Sectional Models; Spatial Models",
 'C32' => "Time-Series Models",
 'C33' => "Models with Panel Data",
 'C34' => "Truncated and Censored Models",
 'C35' => "Discrete Regression and Qualitative Choice Models",
 'C39' => "Other",
 'C40' => "General",
 'C41' => "Duration Analysis",
 'C42' => "Survey Methods",
 'C43' => "Index Numbers and Aggregation",
 'C44' => "Statistical Decision Theory; Operations Research",
 'C45' => "Neural Networks and Related Topics",
 'C49' => "Other",
 'C50' => "General",
 'C51' => "Model Construction and Estimation",
 'C52' => "Model Evaluation and Testing",
 'C53' => "Forecasting and Other Model Applications",
 'C59' => "Other",
 'C60' => "General",
 'C61' => "Optimization Techniques; Programming Models; Dynamic Analysis",
 'C62' => "Existence and Stability Conditions of Equilibrium",
 'C63' => "Computational Techniques",
 'C65' => "Miscellaneous Mathematical Tools",
 'C67' => "Input-Output Models",
 'C68' => "Computable General Equilibrium Models",
 'C69' => "Other",
 'C70' => "General",
 'C71' => "Cooperative Games",
 'C72' => "Noncooperative Games",
 'C73' => "Stochastic and Dynamic Games",
 'C78' => "Bargaining Theory; Matching Theory",
 'C79' => "Other",
 'C80' => "General",
 'C81' => "Methodology for Collecting, Estimating, and Organizing Microeconomic Data",
 'C82' => "Methodology for Collecting, Estimating, and Organizing Macroeconomic Data",
 'C87' => "Econometric Software",
 'C88' => "Other Computer Software",
 'C89' => "Other",
 'C90' => "General",
 'C91' => "Laboratory, Individual Behavior",
 'C92' => "Laboratory, Group Behavior",
 'C93' => "Field Experiments",
 'C99' => "Other",
 'D' => "Microeconomics",
 'D00' => "General",
 'D10' => "General",
 'D11' => "Consumer Economics: Theory",
 'D12' => "Consumer Economics: Empirical Analysis",
 'D13' => "Household Production and Intrahouse Allocation",
 'D14' => "Personal Finance",
 'D18' => "Consumer Protection",
 'D19' => "Other",
 'D20' => "General",
 'D21' => "Firm Behavior",
 'D23' => "Organizational Behavior; Transaction Costs; Property Rights",
 'D24' => "Production; Capital and Total Factor Productivity; Capacity",
 'D29' => "Other",
 'D30' => "General",
 'D31' => "Personal Income and Wealth Distribution",
 'D33' => "Factor Income Distribution",
 'D39' => "Other",
 'D40' => "General",
 'D41' => "Perfect Competition",
 'D42' => "Monopoly",
 'D43' => "Oligopoly and Other Forms of Market Imperfection",
 'D44' => "Auctions",
 'D45' => "Rationing; Licensing",
 'D46' => "Value Theory",
 'D49' => "Other",
 'D50' => "General",
 'D51' => "Exchange and Production Economies",
 'D52' => "Incomplete Markets",
 'D57' => "Input-Output Analysis",
 'D58' => "Computable and Other Applied General Equilibrium Models",
 'D59' => "Other",
 'D60' => "General",
 'D61' => "Allocative Efficiency; Cost-Benefit Analysis",
 'D62' => "Externalities",
 'D63' => "Equity, Justice, Inequality, and Other Normative Criteria and Measurement",
 'D64' => "Altruism",
 'D69' => "Other",
 'D70' => "General",
 'D71' => "Social Choice; Clubs; Committees",
 'D72' => "Economic Models of Political Processes: Rent-Seeking, Elections, Legislatures, and Voting Behavior",
 'D73' => "Bureaucracy; Administrative Processes in Public Organizations",
 'D74' => "Conflict; Conflict Resolution; Alliances",
 'D78' => "Positive Analysis of Policy-Making and Implementation",
 'D79' => "Other",
 'D80' => "General",
 'D81' => "Criteria for Decision-Making under Risk and Uncertainty",
 'D82' => "Asymmetric and Private Information",
 'D83' => "Search, Learning, and Information",
 'D84' => "Expectations; Speculations",
 'D85' => "Network Formation",
 'D89' => "Other",
 'D90' => "General",
 'D91' => "Intertemporal Consumer Choice; Life Cycle Models and Saving",
 'D92' => "Intertemporal Firm Choice and Growth, Investment, or Financing",
 'D99' => "Other",
 'E' => "Macroeconomics and Monetary Economics",
 'E00' => "General",
 'E10' => "General",
 'E11' => "Marxian; Sraffian; Institutional; Evolutionary",
 'E12' => "Keynes; Keynesian; Post-Keynesian",
 'E13' => "Neoclassical",
 'E17' => "Forecasting and Simulation",
 'E19' => "Other",
 'E20' => "General",
 'E21' => "Consumption; Saving",
 'E22' => "Capital; Investment (including Inventories); Capacity",
 'E23' => "Production",
 'E24' => "Employment; Unemployment; Wages",
 'E25' => "Aggregate Factor Income Distribution",
 'E26' => "Informal Economy; Underground Economy",
 'E27' => "Forecasting and Simulation",
 'E29' => "Other",
 'E30' => "General",
 'E31' => "Price Level; Inflation; Deflation",
 'E32' => "Business Fluctuations; Cycles",
 'E37' => "Forecasting and Simulation",
 'E39' => "Other",
 'E40' => "General",
 'E41' => "Demand for Money",
 'E42' => "Monetary Standards and Regimes; Government and the Monetary System",
 'E43' => "Determination of Interest Rates; Term Structure of Interest Rates",
 'E44' => "Financial Markets and the Macroeconomy",
 'E47' => "Forecasting and Simulation",
 'E49' => "Other",
 'E50' => "General",
 'E51' => "Money Supply; Credit; Money Multipliers",
 'E52' => "Monetary Policy (Targets, Instruments, and Effects)",
 'E53' => "Deposit Insurance",
 'E58' => "Central Banks and Their Policies",
 'E59' => "Other",
 'E60' => "General",
 'E61' => "Policy Objectives; Policy Designs and Consistency; Policy Coordination",
 'E62' => "Fiscal Policy; Public Expenditures, Investment, and Finance; Taxation",
 'E63' => "Comparative or Joint Analysis of Fiscal and Monetary or Stabilization Policy",
 'E64' => "Incomes Policy; Price Policy",
 'E65' => "Studies of Particular Policy Episodes",
 'E66' => "General Outlook and Conditions",
 'E69' => "Other",
 'F' => "International Economics",
 'F00' => "General",
 'F01' => "Global Outlook",
 'F02' => "International Economic Order; Economic Integration: General",
 'F10' => "General",
 'F11' => "Neoclassical Models of Trade",
 'F12' => "Models of Trade with Imperfect Competition and Scale Economies",
 'F13' => "Commercial Policy; Protection; Promotion; Trade Negotiations",
 'F14' => "Country and Industry Studies of Trade",
 'F15' => "Economic Integration",
 'F16' => "Trade and Labor Market Interactions",
 'F17' => "Trade Forecasting and Simulation",
 'F18' => "Trade and Environment",
 'F19' => "Other",
 'F20' => "General",
 'F21' => "International Investment; Long-Term Capital Movements",
 'F22' => "International Migration",
 'F23' => "Multinational Firms; International Business",
 'F29' => "Other",
 'F30' => "General",
 'F31' => "Foreign Exchange",
 'F32' => "Current Account Adjustment; Short-Term Capital Movements",
 'F33' => "International Monetary Arrangements and Institutions",
 'F34' => "International Lending and Debt Problems",
 'F35' => "Foreign Aid",
 'F36' => "Financial Aspects of Economic Integration",
 'F39' => "Other",
 'F40' => "General",
 'F41' => "Open Economy Macroeconomics",
 'F42' => "International Policy Coordination and Transmission",
 'F43' => "Economic Growth of Open Economies",
 'F47' => "Forecasting and Simulation",
 'F49' => "Other",
 'G' => "Financial Economics",
 'G00' => "General",
 'G10' => "General",
 'G11' => "Portfolio Choice",
 'G12' => "Asset Pricing",
 'G13' => "Contingent Pricing; Futures Pricing",
 'G14' => "Information and Market Efficiency; Event Studies",
 'G15' => "International Financial Markets",
 'G18' => "Government Policy and Regulation",
 'G19' => "Other",
 'G20' => "General",
 'G21' => "Banks; Other Depository Institutions; Mortgages",
 'G22' => "Insurance; Insurance Companies",
 'G23' => "Pension Funds; Other Private Financial Institutions",
 'G24' => "Investment Banking; Venture Capital; Brokerage",
 'G28' => "Government Policy and Regulation",
 'G29' => "Other",
 'G30' => "General",
 'G31' => "Capital Budgeting; Investment Policy",
 'G32' => "Financing Policy; Capital and Ownership Structure",
 'G33' => "Bankruptcy; Liquidation",
 'G34' => "Mergers; Acquisitions; Restructuring; Corporate Governance",
 'G35' => "Payout Policy",
 'G38' => "Government Policy and Regulation",
 'G39' => "Other",
 'H' => "Public Economics",
 'H00' => "General",
 'H10' => "General",
 'H11' => "Structure and Scope of Government",
 'H19' => "Other",
 'H20' => "General",
 'H21' => "Efficiency; Optimal Taxation",
 'H22' => "Incidence",
 'H23' => "Externalities; Redistributive Effects; Environmental Taxes and Subsidies",
 'H24' => "Personal Income and Other Nonbusiness Taxes and Subsidies",
 'H25' => "Business Taxes and Subsidies",
 'H26' => "Tax Evasion",
 'H29' => "Other",
 'H30' => "General",
 'H31' => "Household",
 'H32' => "Firm",
 'H39' => "Other",
 'H40' => "General",
 'H41' => "Public Goods",
 'H42' => "Publicly Provided Private Goods",
 'H43' => "Project Evaluation; Social Discount Rate",
 'H49' => "Other",
 'H50' => "General",
 'H51' => "Government Expenditures and Health",
 'H52' => "Government Expenditures and Education",
 'H53' => "Government Expenditures and Welfare Programs",
 'H54' => "Infrastructures",
 'H55' => "Social Security and Public Pensions",
 'H56' => "National Security and War",
 'H57' => "Procurement",
 'H59' => "Other",
 'H60' => "General",
 'H61' => "Budget; Budget Systems",
 'H62' => "Deficit; Surplus",
 'H63' => "Debt; Debt Management",
 'H69' => "Other",
 'H70' => "General",
 'H71' => "State and Local Taxation, Subsidies, and Revenue",
 'H72' => "State and Local Budget and Expenditures",
 'H73' => "Interjurisdictional Differentials and Their Effects",
 'H74' => "State and Local Borrowing",
 'H77' => "Intergovernmental Relations; Federalism",
 'H79' => "Other",
 'H80' => "General",
 'H81' => "Governmental Loans and Credits",
 'H82' => "Governmental Property",
 'H83' => "Public Administration",
 'H87' => "International Fiscal Issues",
 'H89' => "Other",
 'I' => "Health, Education, and Welfare",
 'I00' => "General",
 'I10' => "General",
 'I11' => "Analysis of Health Care Markets",
 'I12' => "Health Production: Nutrition, Mortality, Morbidity, Substance Abuse and Addiction, Disability, and Economic Behavior",
 'I18' => "Government Policy; Regulation; Public Health",
 'I19' => "Other",
 'I20' => "General",
 'I21' => "Analysis of Education",
 'I22' => "Educational Finance",
 'I28' => "Government Policy",
 'I29' => "Other",
 'I30' => "General",
 'I31' => "General Welfare; Basic Needs; Quality of Life",
 'I32' => "Measurement and Analysis of Poverty",
 'I38' => "Government Programs; Provision and Effects of Welfare Programs",
 'I39' => "Other",
 'J' => "Labor and Demographic Economics",
 'J00' => "General",
 'J10' => "General",
 'J11' => "Demographic Trends and Forecasts",
 'J12' => "Marriage; Marital Dissolution; Family Structure",
 'J13' => "Fertility; Family Planning; Child Care; Children; Youth",
 'J14' => "Economics of the Elderly",
 'J15' => "Economics of Minorities and Races",
 'J16' => "Economics of Gender",
 'J17' => "Value of Life; Foregone Income",
 'J18' => "Public Policy",
 'J19' => "Other",
 'J20' => "General",
 'J21' => "Labor Force and Employment, Size, and Structure",
 'J22' => "Time Allocation and Labor Supply (hours of work, part-time employment, work sharing, absenteeism, quits)",
 'J23' => "Employment Determination; Demand for Labor; Self-employment",
 'J24' => "Human Capital; Skills; Occupational Choice; Labor Productivity (Formal Training Programs; On-the-Job Training)",
 'J26' => "Retirement; Retirement Policies",
 'J28' => "Safety; Accidents; Industrial Health; Job Satisfaction; Related Public Policy",
 'J29' => "Other",
 'J30' => "General",
 'J31' => "Wage Level and Structure; Wage Differentials by Skill, Training, Occupation, etc.",
 'J32' => "Nonwage Labor Costs and Benefits; Private Pensions",
 'J33' => "Compensation Packages; Payment Methods",
 'J38' => "Public Policy",
 'J39' => "Other",
 'J40' => "General",
 'J41' => "Contracts: Specific Human Capital, Matching Models, Efficiency Wage Models, and Internal Labor Markets",
 'J42' => "Monopsony; Segmented Labor Markets",
 'J43' => "Agricultural Labor Markets",
 'J44' => "Professional Labor Markets and Occupations Firm Behavior (the Commons)",
 'J45' => "Public Sector Labor Markets",
 'J48' => "Particular Labor Markets: Public Policy",
 'J49' => "Other",
 'J50' => "General",
 'J51' => "Trade Unions: Objectives, Structure, and Effects",
 'J52' => "Dispute Resolution: Strikes; Arbitration; Mediation",
 'J53' => "Labor-Management Relations; Industrial Jurisprudence",
 'J54' => "Producer Cooperatives; Labor Managed Firms",
 'J58' => "Public Policy",
 'J59' => "Other",
 'J60' => "General",
 'J61' => "Geographic Labor Mobility; Immigrant Workers",
 'J62' => "Occupational and Intergenerational Mobility",
 'J63' => "Turnover; Vacancies; Layoffs",
 'J64' => "Unemployment: Models, Duration, Incidence, and Job Search",
 'J65' => "Unemployment Insurance; Severance Pay; Plant Closings",
 'J68' => "Public Policy",
 'J69' => "Other",
 'J70' => "General",
 'J71' => "Discrimination",
 'J78' => "Public Policy",
 'J79' => "Other",
 'J80' => "General",
 'J81' => "Working Conditions (safety, hours)",
 'J82' => "Labor Force Composition (child labor, prison labor, bonded labor, immigrant labor, racial and gender discrimination)",
 'J83' => "Workers' Rights",
 'J88' => "Public Policy",
 'J89' => "Other",
 'K' => "Law and Economics",
 'K00' => "General",
 'K10' => "General",
 'K11' => "Property Law",
 'K12' => "Contract Law",
 'K13' => "Tort Law and Product Liability",
 'K14' => "Criminal Law",
 'K19' => "Other",
 'K20' => "General",
 'K21' => "Antitrust Law",
 'K22' => "Corporation and Securities Law",
 'K23' => "Regulated Industries and Administrative Law",
 'K29' => "Other",
 'K30' => "General",
 'K31' => "Labor Law",
 'K32' => "Environmental, Health, and Safety Law",
 'K33' => "International Law",
 'K34' => "Tax Law",
 'K35' => "Personal Bankruptcy Law",
 'K39' => "Other",
 'K40' => "General",
 'K41' => "Litigation Process",
 'K42' => "Illegal Behavior and the Enforcement of Law",
 'K49' => "Other",
 'L' => "Industrial Organization",
 'L00' => "General",
 'L10' => "General",
 'L11' => "Production, Pricing, and Market Structure; Size Distribution of Firms (Concentration, Product Differentiation, Entry and Exit)",
 'L12' => "Monopoly; Monopolization Strategies",
 'L13' => "Oligopoly and Other Imperfect Markets",
 'L14' => "Transactional Relationships; Contracts and Reputation",
 'L15' => "Information and Product Quality",
 'L16' => "Industrial Organization and Macroeconomics; Macroeconomic Industrial Structure",
 'L19' => "Other",
 'L20' => "General",
 'L21' => "Business Objectives of the Firm",
 'L22' => "Firm Organization and Market Structure: Markets vs. Hierarchies; Vertical Integration",
 'L23' => "Organization of Production",
 'L25' => "Firm Size and Performance",
 'L29' => "Other",
 'L30' => "General",
 'L31' => "Nonprofit Institutions",
 'L32' => "Public Enterprises",
 'L33' => "Boundaries of Public and Private Enterprise; Privatization; Contracting Out",
 'L39' => "Other",
 'L40' => "General",
 'L41' => "Monopolization; Horizontal Anticompetitive Practices",
 'L42' => "Vertical Restraints; Resale Price Maintenance; Quantity Discounts",
 'L43' => "Legal Monopolies and Regulation or Deregulation",
 'L44' => "Antitrust Policy and Public Enterprise, Nonprofit Institutions, and Professional Organizations",
 'L49' => "Other",
 'L50' => "General",
 'L51' => "Economics of Regulation",
 'L52' => "Industrial Policy; Sectoral Planning Methods",
 'L59' => "Other",
 'L60' => "General",
 'L61' => "Metals and Metal Products; Cement; Glass; Ceramics",
 'L62' => "Automobiles; Other Transportation Equipment",
 'L63' => "Microelectronics; Computers; Communications Equipment",
 'L64' => "Other Machinery; Business Equipment; Armaments",
 'L65' => "Chemicals; Rubber; Drugs; Biotechnology",
 'L66' => "Food; Beverages; Cosmetics; Tobacco",
 'L67' => "Other Consumer Nondurables: Clothing, Textiles, Shoes, and Leather",
 'L68' => "Appliances; Other Consumer Durables",
 'L69' => "Other",
 'L70' => "General",
 'L71' => "Mining, Extraction, and Refining: Hydrocarbon Fuels",
 'L72' => "Mining, Extraction, and Refining: Other Nonrenewable Resources",
 'L73' => "Forest Products: Lumber and Paper",
 'L74' => "Construction",
 'L78' => "Government Policy",
 'L79' => "Other",
 'L80' => "General",
 'L81' => "Retail and Wholesale Trade; Warehousing",
 'L82' => "Entertainment; Media (Performing Arts, Visual Arts, Broadcasting, Publishing, etc.)",
 'L83' => "Sports; Gambling; Recreation; Tourism",
 'L84' => "Personal and Professional Services",
 'L85' => "Real Estate Services",
 'L86' => "Information and Internet Services; Computer Software",
 'L88' => "Government Policy",
 'L89' => "Other",
 'L90' => "General",
 'L91' => "Transportation: General",
 'L92' => "Railroads and Other Surface Transportation: Autos, Buses, Trucks, and Water Carriers",
 'L93' => "Air Transportation",
 'L94' => "Electric Utilities",
 'L95' => "Gas Utilities; Pipelines; Water Utilities",
 'L96' => "Telecommunications",
 'L97' => "Utilities: General",
 'L98' => "Government Policy",
 'L99' => "Other",
 'M' => "Business Administration and Business Economics; Marketing; Accounting",
 'M00' => "General",
 'M10' => "General",
 'M11' => "Production Management",
 'M12' => "Personnel Management",
 'M13' => "Entrepreneurship",
 'M14' => "Corporate Culture; Social Responsibility",
 'M19' => "Other",
 'M20' => "General",
 'M21' => "Business Economics",
 'M29' => "Other",
 'M30' => "General",
 'M31' => "Marketing",
 'M37' => "Advertising",
 'M39' => "Other",
 'M40' => "General",
 'M41' => "Accounting",
 'M42' => "Auditing",
 'M49' => "Other",
 'M50' => "General",
 'M51' => "Firm Employment Decisions; Promotions (hiring, firing, turnover, part-time seniority issues)",
 'M52' => "Compensation and Compensation Methods and Their Effects (stock options, fringe benefits, incentives, seniority issues)",
 'M53' => "Training",
 'M54' => "Labor Management (team formation, worker empowerment, job design, tasks and authority, job satisfaction)",
 'M55' => "Labor Contracting: Outsourcing; Franchising: Other",
 'N' => "Economic History",
 'N00' => "General",
 'N01' => "Development of the Discipline: Historiographical; Sources and Methods",
 'N10' => "General, International, or Comparative",
 'N11' => "U.S.; Canada: Pre-1913",
 'N12' => "U.S.; Canada: 1913-71",
 'N13' => "Europe: Pre-1913",
 'N14' => "Europe: 1913-71",
 'N15' => "Asia including Middle East",
 'N16' => "Latin America; Caribbean",
 'N17' => "Africa; Oceania",
 'N20' => "General, International, or Comparative",
 'N21' => "U.S.; Canada: Pre-1913",
 'N22' => "U.S.; Canada: 1913-71",
 'N23' => "Europe: Pre-1913",
 'N24' => "Europe: 1913-71",
 'N25' => "Asia including Middle East",
 'N26' => "Latin America; Caribbean",
 'N27' => "Africa; Oceania",
 'N30' => "General, International, or Comparative",
 'N31' => "U.S.; Canada: Pre-1913",
 'N32' => "U.S.; Canada: 1913-71",
 'N33' => "Europe: Pre-1913",
 'N34' => "Europe: 1913-71",
 'N35' => "Asia including Middle East",
 'N36' => "Latin America; Caribbean",
 'N37' => "Africa; Oceania",
 'N40' => "General, International, or Comparative",
 'N41' => "U.S.; Canada: Pre-1913",
 'N42' => "U.S.; Canada: 1913-71",
 'N43' => "Europe: Pre-1913",
 'N44' => "Europe: 1913-71",
 'N45' => "Asia including Middle East",
 'N46' => "Latin America; Caribbean",
 'N47' => "Africa; Oceania",
 'N50' => "General, International, or Comparative",
 'N51' => "U.S.; Canada: Pre-1913",
 'N52' => "U.S.; Canada: 1913-71",
 'N53' => "Europe: Pre-1913",
 'N54' => "Europe: 1913-71",
 'N55' => "Asia including Middle East",
 'N56' => "Latin America; Caribbean",
 'N57' => "Africa; Oceania",
 'N60' => "General, International, or Comparative",
 'N61' => "U.S.; Canada: Pre-1913",
 'N62' => "U.S.; Canada: 1913-71",
 'N63' => "Europe: Pre-1913",
 'N64' => "Europe: 1913-71",
 'N65' => "Asia including Middle East",
 'N66' => "Latin America; Caribbean",
 'N67' => "Africa; Oceania",
 'N70' => "General, International, or Comparative",
 'N71' => "U.S.; Canada: Pre-1913",
 'N72' => "U.S.; Canada: 1913-71",
 'N73' => "Europe: Pre-1913",
 'N74' => "Europe: 1913-71",
 'N75' => "Asia including Middle East",
 'N76' => "Latin America; Caribbean",
 'N77' => "Africa; Oceania",
 'N80' => "General, International, or Comparative",
 'N81' => "U.S.; Canada: Pre-1913",
 'N82' => "U.S.; Canada: 1913-71",
 'N83' => "Europe: Pre-1913",
 'N84' => "Europe: 1913-71",
 'N85' => "Asia including Middle East",
 'N86' => "Latin America; Caribbean",
 'N87' => "Africa; Oceania",
 'N90' => "General",
 'N91' => "U.S.; Canada: Pre-1913",
 'N92' => "U.S.; Canada: 1913-",
 'N93' => "Europe: Pre-1913",
 'N94' => "Europe: 1913-",
 'N95' => "Asia including Middle East",
 'N96' => "Latin America; Caribbean",
 'N97' => "Africa; Oceania",
 'O' => "Economic Development, Technological Change, and Growth",
 'O00' => "General",
 'O10' => "General",
 'O11' => "Macroeconomic Analyses of Economic Development",
 'O12' => "Microeconomic Analyses of Economic Development",
 'O13' => "Agriculture; Natural Resources; Environment; Other Primary Products",
 'O14' => "Industrialization; Choice of Technology",
 'O15' => "Human Resources; Income Distribution; Migration",
 'O16' => "Financial Markets; Saving and Capital Investment",
 'O17' => "Formal and Informal Sectors; Shadow Economy; Institutional Arrangements",
 'O18' => "Regional, Urban, and Rural Analyses",
 'O19' => "International Linkages to Development; Role of International Organizations",
 'O20' => "General",
 'O21' => "Planning Models; Planning Policy",
 'O22' => "Project Analysis",
 'O23' => "Fiscal and Monetary Policy in Development",
 'O24' => "Trade Policy; Factor Movement; Foreign Exchange Policy",
 'O29' => "Other",
 'O30' => "General",
 'O31' => "Innovation and Invention: Processes and Incentives",
 'O32' => "Management of Technological Innovation and R&amp;D",
 'O33' => "Technological Change: Choices and Consequences",
 'O34' => "Intellectual Property Rights: National and International Issues",
 'O38' => "Government Policy",
 'O39' => "Other",
 'O40' => "General",
 'O41' => "One, Two, and Multisector Growth Models",
 'O42' => "Monetary Growth Models",
 'O47' => "Measurement of Economic Growth; Aggregate Productivity",
 'O49' => "Other",
 'O50' => "General",
 'O51' => "U.S.; Canada",
 'O52' => "Europe",
 'O53' => "Asia including Middle East",
 'O54' => "Latin America; Caribbean",
 'O55' => "Africa",
 'O56' => "Oceania",
 'O57' => "Comparative Studies of Countries",
 'P' => "Economic Systems",
 'P00' => "General",
 'P10' => "General",
 'P11' => "Planning, Coordination, and Reform",
 'P12' => "Capitalist Enterprises",
 'P13' => "Cooperative Enterprises",
 'P14' => "Property Rights",
 'P16' => "Political Economy",
 'P17' => "Performance and Prospects",
 'P19' => "Other",
 'P20' => "General",
 'P21' => "Planning, Coordination, and Reform",
 'P22' => "Prices",
 'P23' => "Factor and Product Markets",
 'P24' => "National Income, Product, and Expenditure; Money; Inflation",
 'P26' => "Political Economy",
 'P27' => "Performance and Prospects",
 'P29' => "Other",
 'P30' => "General",
 'P31' => "Socialist Enterprises and Their Transitions",
 'P32' => "Collectives; Communes; Agricultural Institutions",
 'P33' => "International Linkages",
 'P34' => "Finance",
 'P35' => "Public Finance",
 'P36' => "Consumer Economics; Health, Education, Welfare, and Poverty",
 'P37' => "Legal",
 'P39' => "Other",
 'P40' => "General",
 'P41' => "Planning, Coordination, and Reform",
 'P42' => "Productive Enterprises; Factor and Product Markets; Prices",
 'P43' => "Finance; Public Finance",
 'P44' => "National Income, Product, and Expenditure; Money; Inflation",
 'P45' => "International Linkages",
 'P46' => "Household Behavior",
 'P47' => "Performance and Prospects",
 'P49' => "Other",
 'P50' => "General",
 'P51' => "Comparative Analysis of Economic Systems",
 'P52' => "Comparative Studies of Particular Economies",
 'P59' => "Other",
 'Q' => "Agricultural and Natural Resource Economics",
 'Q00' => "General",
 'Q01' => "Sustainable Development",
 'Q10' => "General",
 'Q11' => "Aggregate Supply and Demand Analysis; Prices",
 'Q12' => "Micro Analysis of Farm Firms, Farm Households, and Farm Input Markets",
 'Q13' => "Agricultural Markets and Marketing; Cooperatives; Agribusiness",
 'Q14' => "Agricultural Finance",
 'Q15' => "Land Ownership and Tenure; Land Reform; Land Use; Irrigation",
 'Q16' => "R&amp;D; Agricultural Technology; Agricultural Extension Services",
 'Q17' => "Agriculture in International Trade",
 'Q18' => "Agricultural Policy; Food Policy",
 'Q19' => "Other",
 'Q20' => "General",
 'Q21' => "Demand and Supply; Environmental Modeling and Forecasting Firm Behavior (the Commons) Institutions; Illegal Behavior",
 'Q22' => "Fishery",
 'Q23' => "Forestry",
 'Q24' => "Land",
 'Q25' => "Water; Air; Climate; Noise",
 'Q26' => "Recreational Aspects of Natural Resources; Contingent Valuation Methods",
 'Q28' => "Government Policy",
 'Q29' => "Other",
 'Q30' => "General",
 'Q31' => "Demand and Supply",
 'Q32' => "Exhaustible Resources and Economic Development",
 'Q33' => "Resource Booms",
 'Q38' => "Government Policy",
 'Q39' => "Other",
 'Q40' => "General",
 'Q41' => "Demand and Supply",
 'Q42' => "Alternative Energy Sources",
 'Q43' => "Energy and the Macroeconomy",
 'Q48' => "Government Policy",
 'Q49' => "Other",
 'Q50' => "General",
 'Q51' => "Valuation of Environmental Effects",
 'Q52' => "Pollution Control Costs; Distributional Effects (Firm Behavior)",
 'Q53' => "Air Pollution; Water Pollution; Noise; Hazardous Waste; Solid Waste",
 'Q54' => "Climate; Natural Disasters",
 'Q55' => "Environmental Economics: Technological Innovation",
 'Q56' => "Environment and Development; Environment and Trade; Sustainability; Environmental Accounting",
 'Q57' => "Ecological Economics: Ecosystem Services; Biodiversity Conservation; Bioeconomics",
 'Q58' => "Environmental Economics: Government Policy",

 'R' => "Urban, Rural, and Regional Economics",
 'R00' => "General",
 'R10' => "General",
 'R11' => "Analysis of Growth, Development, and Changes",
 'R12' => "Size and Spatial Distributions of Regional Economic Activity",
 'R13' => "General Equilibrium and Welfare Economic Analysis of Regional Economies",
 'R14' => "Land Use Patterns",
 'R15' => "Econometric and Input-Output Models; Other Models",
 'R19' => "Other",
 'R20' => "General",
 'R21' => "Housing Demand",
 'R22' => "Other Demand",
 'R23' => "Regional Migration; Regional Labor Markets; Population",
 'R29' => "Other",
 'R30' => "General",
 'R31' => "Housing Supply and Markets",
 'R32' => "Other Production and Pricing Analysis",
 'R33' => "Nonagricultural and Nonresidential Real Estate Markets",
 'R34' => "Input Demand Analysis",
 'R38' => "Government Policies; Regulatory Policies",
 'R39' => "Other",
 'R40' => "General",
 'R41' => "Transportation: Demand, Supply, and Congestion",
 'R42' => "Government and Private Investment Analysis",
 'R48' => "Government Pricing; Regulatory Policies",
 'R49' => "Other",
 'R50' => "General",
 'R51' => "Finance in Urban and Rural Economies",
 'R52' => "Land Use and Other Regulations",
 'R53' => "Public Facility Location Analysis; Public Investment and Capital Stock",
 'R58' => "Regional Development Policy",
 'R59' => "Other",
 'Z' => "Other Special Topics",
 'Z00' => "General",
 'Z10' => "General",
 'Z11' => "Economics of the Arts and Literature",
 'Z12' => "Religion",
 'Z13' => "Social Norms and Social Capital",

# adding older codes manually here
# descriptions are from http://www.econlit.org/subject_descriptors.html

 'H27' => "Other Sources of Revenue (Lottery)",
 'L24' => "Contracting Out; Joint Ventures",
 'L87' => "Postal and Delivery Services",
 'P25' => "Socialist Systems and Transitional Economies: Urban, Rural, and Regional Economics; Housing; Transportation",
 'P28' => "Socialist Systems and Transitional Economies: Natural Resources; Environment",
# end of manually added descriptions

            );

1;

